Skip to content
Last updated

AddBannedIp

Adds an IP to the ban list.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"AddBannedIp"Required
ipstringRequired
reasonstringAdmin only reasonRequired
daysintIf passed, expires date is auto calculatedRequired
expires\datetimeYYYY-MM-DD HH:MM:SSOptional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
banidintThe id of the new ban entry

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'AddBannedIp',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'ip' => '1.2.3.4',
            'reason' => 'Abuse',
            'days' => '30',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'AddBannedIp';
$postData = array(
    'ip' => '1.2.3.4',
    'reason' => 'Abuse',
    'days' => '30',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "banid": "1"
}

Version History

VersionChangelog
1.0Initial Version